package com.tuoheng.admin.service.third.wx;

import com.tuoheng.admin.entity.Inspection;
import com.tuoheng.admin.entity.InspectionFile;
import com.tuoheng.admin.entity.User;
import com.tuoheng.admin.mapper.UserMapper;
import com.tuoheng.admin.utils.CurrentUserUtil;
import com.tuoheng.common.core.utils.JsonResult;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @Author ChengWang
 * @Date 2023/6/27
 */
@Slf4j
@Service
public class WxService {

    @Autowired
    private UserMapper userMapper;

    public JsonResult sendMessage(List<InspectionFile> inspectionFileList, Inspection inspection){
        log.info("进入调用微信小程序接口,推送第一条问题数据");
        User user = CurrentUserUtil.getUserInfo();
        //获取当前授权信息
        Integer authorize = user.getAuthorize();


        return null;


    }

}
